%define major	1
%define libname	%mklibname capplet %{major}

# define to update aclocal.m4 with new libtool.m4
%define update_aclocal 0
%ifarch x86_64 mips
%define update_aclocal 1
%endif

Summary: Library for GNOME control-center
Name:    libcapplet
Version: 1.5.11
Release: 5mdk
Source0: ftp://ftp.gnome.org/pub/GNOME/unstable/source/%{name}/%{name}-%{version}.tar.bz2
# (fc) 1.5.8-1mdk fix name of po files
Patch0:  libcapplet-1.5.11-poname.patch.bz2
License: GPL
Url:	 http://www.gnome.org/
Group:   Graphical desktop/GNOME
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: pkgconfig >= 0.8 bonobo-devel gnome-libs-devel flex bison
%if %{update_aclocal}
BuildRequires: gnome-common
%endif
Conflicts: control-center < 1.5.11, gnome-core < 1.4.0.6-1mdk, gnome-pilot < 0.1.64-3mdk, xalf < 0.12-3mdk

%description
%{name} originally belongs to GNOME control-center,
and is a library necessary for 'capplets', which means different
modules for control-center. It has been splitted off from
control-center as a package of its own.

%package -n %{libname}
Summary: %{summary}
Group: %{group}
Provides: %{name} = %{version} 
Requires: common-licenses

%description -n %{libname}
%{name} originally belongs to GNOME control-center,
and is a library necessary for 'capplets', which means different
modules for control-center. It has been splitted off from
control-center as a package of its own.

This package contains the main libraries necessary to run capplets.

%package -n %{libname}-devel
Summary: Development files for capplet library.
Group: Development/GNOME and GTK+
Provides: %{name}-devel = %{version}
Provides: control-center-devel = %{version}
Provides: gnome-control-center-devel = %{version}
Obsoletes: %{name}-devel
Obsoletes: control-center-devel
Obsoletes: gnome-control-center-devel
Requires: %{libname} = %{version}
Requires: gnome-libs-devel

%description -n %{libname}-devel
If you're interested in developing capplets for the GNOME
control center, you'll want to install this package. It contains
static library and header files for %{name}. You need this
package too for compiling any capplets.


%prep
%setup -q
%patch0 -p1 -b .poname
%if %{update_aclocal}
aclocal -I /usr/share/aclocal/gnome-macros
%endif
#needed by patch0
autoconf

%build

%configure

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

%{find_lang} %{name}%{major}

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname} -f %{name}%{major}.lang
%defattr(-,root,root)
%doc README ChangeLog AUTHORS
%{_libdir}/*.so.*


%files -n %{libname}-devel
%defattr(-,root,root)
%doc README ChangeLog AUTHORS 
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/*.sh
%{_libdir}/pkgconfig/*

%changelog
* Wed Aug 13 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.5.11-5mdk
- NMU: mklibname

* Tue Jul 22 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.5.11-4mdk
- rebuild

* Tue Jul 23 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.5.11-3mdk
- Rebuild with latest gcc3.1
- Update aclocal.m4 when necessary

* Thu Jan 31 2002 Frederic Lepied <flepied@mandrakesoft.com> 1.5.11-2mdk
- added conflicts to ease upgrade

* Thu Jan  3 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.11-1mdk
- Release 1.5.11
- Regenerate patch0
- Change major number

* Mon Nov  5 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.8-2mdk
- Spec cleanup by Abel Cheung <maddog@linux.org.hk>
 - Fix summaries and descriptions
 - devel provides/obsoletes control-center-devel
 - Remove useless doc, requires: common-licenses
 - BuildRequires: flex bison

* Wed Oct 31 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.8-1mdk
- Release 1.5.8
- Patch0: fix name of po files

* Mon Jul 30 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.2-1mdk
- Release 1.5.2

* Fri Jul 27 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.1-2mdk
- Arg, soname has been downgrading, modifing package name

* Fri Jul 27 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.1-1mdk
- Release 1.5.1

* Mon Jul 23 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.0-1mdk
- Initial Mandrake package



# end of file
